Summary: Print server and client for local and remote printing
Name: lpr
Version: 0.18
Release: 1
Copyright: distributable
Group: Utilities/System
Source: lpr-0.18.tar.gz

%changelog

* Tue Apr 22 1997 Michael Fulbright <msf@redhat.com>

- moved to v. 0.17, then 0.18 (!)
- Fixed bug on Alpha/glibc when printing to a remote queue via a filter

* Fri Mar 28 1997 Michael Fulbright <msf@redhat.com>

- Moved version up to 0.16
- Added input filter support for remote queues

* Wed Mar 05 1997 Erik Troan <ewt@redhat.com>

- Incorporated filter patch into main sources
- Removed RCS logs from source tar file
- Added patched from David Mosberger to fix __ivaliduser on Alpha's
- added -Dgetline=get_line for old glibcs (this means alpha)

%description
This package manages printing services. It manages print queues, sends jobs
to local printers and remote pritners, and accepts jobs from remote clients.

%prep
%setup

%build

%ifarch alpha
# we shouldn't need this with more recent glibc's, but lpq kills remote
# lpd w/o it
make RPM_OPT_FLAGS="$RPM_OPT_FLAGS -Dgetline=get_line"
%else
make RPM_OPT_FLAGS="$RPM_OPT_FLAGS"
%endif

%install
%ifarch alpha
# we shouldn't need this with more recent glibc's, but lpq kills remote
# lpd w/o it and there seems to be a mistake in lpr's makefiles somewhere
make RPM_OPT_FLAGS="$RPM_OPT_FLAGS -Dgetline=get_line" install
%else
make install
%endif

install -m755 lpd.init /etc/rc.d/init.d
ln -sf ../init.d/lpd.init /etc/rc.d/rc0.d/K60lpd.init
ln -sf ../init.d/lpd.init /etc/rc.d/rc1.d/K60lpd.init
ln -sf ../init.d/lpd.init /etc/rc.d/rc2.d/S60lpd.init
ln -sf ../init.d/lpd.init /etc/rc.d/rc3.d/S60lpd.init
ln -sf ../init.d/lpd.init /etc/rc.d/rc5.d/S60lpd.init
ln -sf ../init.d/lpd.init /etc/rc.d/rc6.d/K60lpd.init

mkdir -p /var/spool/lpd
chown root.daemon /var/spool/lpd
chmod 775 /var/spool/lpd

%files
/usr/bin/lpq
/usr/bin/lpr
/usr/bin/lprm
/usr/bin/lptest
/usr/man/man1/lpq.1
/usr/man/man1/lpr.1
/usr/man/man1/lprm.1
/usr/man/man1/lptest.1
/usr/man/man5/printcap.5
/usr/man/man8/lpc.8
/usr/man/man8/lpd.8
/usr/man/man8/pac.8
/usr/sbin/lpc
/usr/sbin/lpd
/usr/sbin/lpf
/usr/sbin/pac
%dir /var/spool/lpd
/etc/rc.d/init.d/lpd.init
/etc/rc.d/rc0.d/K60lpd.init
/etc/rc.d/rc1.d/K60lpd.init
/etc/rc.d/rc2.d/S60lpd.init
/etc/rc.d/rc3.d/S60lpd.init
/etc/rc.d/rc5.d/S60lpd.init
/etc/rc.d/rc6.d/K60lpd.init
